org.jgroups.conf

## Class PropertyHelper

- java.lang.Object
- - org.jgroups.conf.PropertyHelper

    public class PropertyHelper
    extends java.lang.Object

### Field Summary

Fields
`protected static Log` `log`

### Constructor Summary

Constructors
Constructor and Description
`PropertyHelper()`

### Method Summary

Methods
`static java.lang.Object` `getConvertedValue(java.lang.Object obj, java.lang.reflect.Field field, java.util.Map<java.lang.String,java.lang.String> props, java.lang.String prop, boolean check_scope)`
`static java.lang.Object` `getConvertedValue(java.lang.Object obj, java.lang.reflect.Field field, java.lang.String value, boolean check_scope)`
`static java.lang.Object` `getConvertedValue(java.lang.Object obj, java.lang.reflect.Method method, java.util.Map<java.lang.String,java.lang.String> props, java.lang.String prop, boolean check_scope)`
`static java.lang.String` `getPropertyName(java.lang.reflect.Field field, java.util.Map<java.lang.String,java.lang.String> props)`
`static java.lang.String` `getPropertyName(java.lang.reflect.Method method)`
`static boolean` `usesDefaultConverter(java.lang.reflect.Field field)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### log

    protected static final Log log

### Constructor Detail

#### PropertyHelper

    public PropertyHelper()

### Method Detail

#### getPropertyName

    public static java.lang.String getPropertyName(java.lang.reflect.Field field,
                                   java.util.Map<java.lang.String,java.lang.String> props)
                                            throws java.lang.IllegalArgumentException

Throws:
  `java.lang.IllegalArgumentException`

#### getPropertyName

    public static java.lang.String getPropertyName(java.lang.reflect.Method method)
                                            throws java.lang.IllegalArgumentException

Throws:
  `java.lang.IllegalArgumentException`

#### getConvertedValue

    public static java.lang.Object getConvertedValue(java.lang.Object obj,
                                     java.lang.reflect.Field field,
                                     java.util.Map<java.lang.String,java.lang.String> props,
                                     java.lang.String prop,
                                     boolean check_scope)
                                              throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### getConvertedValue

    public static java.lang.Object getConvertedValue(java.lang.Object obj,
                                     java.lang.reflect.Field field,
                                     java.lang.String value,
                                     boolean check_scope)
                                              throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### getConvertedValue

    public static java.lang.Object getConvertedValue(java.lang.Object obj,
                                     java.lang.reflect.Method method,
                                     java.util.Map<java.lang.String,java.lang.String> props,
                                     java.lang.String prop,
                                     boolean check_scope)
                                              throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### usesDefaultConverter

    public static boolean usesDefaultConverter(java.lang.reflect.Field field)
                                        throws java.lang.IllegalArgumentException

Throws:
  `java.lang.IllegalArgumentException`